#!/usr/bin/env bash

F=.tst_check_cpp_visibility.cpp
cat > $F <<EOF

class __attribute__((visibility("default"))) A {
	int a;
};
EOF


if g++ -c -fvisibility=hidden $F 2>/dev/null; then
    echo "-fvisibility=hidden -DHAVE_CPLUSPLUS_VISIBILITY=1 "
else
    echo ""
fi
